# ProviderViewModel

#### new Cesium.ProviderViewModel(options)
widgets/Source/BaseLayerPicker/ProviderViewModel.js 23

A view model that represents each item in the `BaseLayerPicker`.

Name | Type | Description
--- | --- | ---

`options`

object

The object containing all parameters.

Name | Type | Description
--- | --- | ---
`name` | string | The name of the layer.
`tooltip` | string | The tooltip to show when the item is moused over.
`iconUrl` | string | An icon representing the layer.
`category` | string | optional A category for the layer.
`creationFunction` | ProviderViewModel.CreationFunction | Command | A function or Command that creates one or more providers which will be added to the globe when this item is selected.

##### See:

- BaseLayerPicker
- ImageryProvider
- TerrainProvider

### Members

#### readonly category : string
widgets/Source/BaseLayerPicker/ProviderViewModel.js 90

Gets the category

#### readonly creationCommand : Command
widgets/Source/BaseLayerPicker/ProviderViewModel.js 78

Gets the Command that creates one or more providers which will be added to the globe when this item is selected.

#### iconUrl : string
widgets/Source/BaseLayerPicker/ProviderViewModel.js 62

Gets the icon. This property is observable.

#### name : string
widgets/Source/BaseLayerPicker/ProviderViewModel.js 50

Gets the display name. This property is observable.

#### tooltip : string
widgets/Source/BaseLayerPicker/ProviderViewModel.js 56

Gets the tooltip. This property is observable.

### Type Definitions

#### Cesium.ProviderViewModel.CreationFunction() → ImageryProvider|TerrainProvider|Array.<ImageryProvider>|Array.<TerrainProvider>|Promise.<TerrainProvider>|Promise.<ImageryProvider>|Promise.<Array.<TerrainProvider>>|Promise.<Array.<ImageryProvider>>
widgets/Source/BaseLayerPicker/ProviderViewModel.js 97

A function which creates one or more providers.

##### Returns:

The ImageryProvider or TerrainProvider, or array of providers, to be added to the globe.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.